Summary: 	GLE Tubing and Extrusion Library
Name: 		gle
Version: 	3.1.0
Release: 	2
License: 	GPL
Group: 		Libraries
Source: 	%{name}-%{version}.tar.gz
URL: 		http://sourceforge.net/projects/gle
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	glut-devel

%description
GLE is a library package of C functions that draw extruded surfaces,
including surfaces of revolution, sweeps, tubes, polycones,
polycylinders and helicoids.  Generically, the extruded surface is
specified with a 2D polyline that is extruded along a 3D path.  A
local coordinate system allows for additional flexibility in the
primitives drawn.  Extrusions may be texture mapped in a variety of
ways.  The GLE library generates 3D triangle coordinates, lighting
normal vectors and texture coordinates as output. GLE uses the GL or
OpenGL API's to perform the actual rendering.

%package 	devel
Summary:        Devel files for GLE.
Group:          Development

%description 	devel
The gle-devel package contains the header files and documentation
needed to develop applications with gle.

%prep
%setup -q 

%build
./configure --prefix=/usr/X11R6 --disable-nls
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/usr/lib
cd $RPM_BUILD_ROOT/usr/lib; ln -sf ../X11R6/lib/* .

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
/usr/X11R6/lib/libgle.so.*
/usr/X11R6/lib/libgle.so
/usr/X11R6/lib/libgle.la
/usr/lib/libgle.so.*
/usr/lib/libgle.so
/usr/lib/libgle.la

%files devel
%defattr(-, root, root)
/usr/X11R6/lib/libgle.a
/usr/X11R6/include/GL
/usr/lib/libgle.a
